## org.eclipse.wst.ws.service.policy
Class PolicyEnumerationListImpl

    java.lang.Object
      org.eclipse.wst.ws.service.policy.PolicyEnumerationListImpl

All Implemented Interfaces:
  IPolicyEnumerationList

    public class PolicyEnumerationListImpl

extends java.lang.Object
implements IPolicyEnumerationList

This class provides a simple implementation of the IPolicyEnumerationList interface.

Constructor Summary
`PolicyEnumerationListImpl(java.util.List<IStateEnumerationItem> enumList, IServicePolicy policy)` A simple constructor for this class.

Method Summary
`java.util.List<IStateEnumerationItem>` `getEnumerationList()` Returns a list of state enumeration items.
`IServicePolicy` `getPolicy()` Returns a service policy.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyEnumerationListImpl

    public PolicyEnumerationListImpl(java.util.List<IStateEnumerationItem> enumList,
                                     IServicePolicy policy)

  A simple constructor for this class.

  Parameters:
    `enumList` -
    `policy` -

Method Detail

### getEnumerationList

    public java.util.List<IStateEnumerationItem> getEnumerationList()

  Returns a list of state enumeration items.

  Specified by:
    `getEnumerationList` in interface `IPolicyEnumerationList`
  Returns:
    returns a list of state enumeration items.

### getPolicy

    public IServicePolicy getPolicy()

  Returns a service policy.

  Specified by:
    `getPolicy` in interface `IPolicyEnumerationList`
  Returns:
    returns a service policy.